CUDA Driver API (PDF) - v9.2.148 (older) - Last updated June 12, 2018 - Send Feedback

## 4.20. Texture Reference Management [DEPRECATED]

This section describes the deprecated texture reference management functions of the low-level CUDA driver application programming interface.

### Functions

CUresult cuTexRefCreate ( CUtexref* pTexRef )
  Creates a texture reference.
CUresult cuTexRefDestroy ( CUtexref hTexRef )
  Destroys a texture reference.

### Functions

CUresult cuTexRefCreate ( CUtexref* pTexRef )
  Creates a texture reference.

  ###### Parameters

  `pTexRef`
    - Returned texture reference

  ###### Returns

  CUDA_SUCCESS, CUDA_ERROR_DEINITIALIZED, CUDA_ERROR_NOT_INITIALIZED, CUDA_ERROR_INVALID_CONTEXT, CUDA_ERROR_INVALID_VALUE

  ###### Deprecated

  ###### Description

  Creates a texture reference and returns its handle in `*pTexRef`. Once created, the application must call cuTexRefSetArray() or cuTexRefSetAddress() to associate the reference with allocated memory. Other texture reference functions are used to specify the format and interpretation (addressing, filtering, etc.) to be used when the memory is read through this texture reference.

  See also:

  cuTexRefDestroy

CUresult cuTexRefDestroy ( CUtexref hTexRef )
  Destroys a texture reference.

  ###### Parameters

  `hTexRef`
    - Texture reference to destroy

  ###### Returns

  CUDA_SUCCESS, CUDA_ERROR_DEINITIALIZED, CUDA_ERROR_NOT_INITIALIZED, CUDA_ERROR_INVALID_CONTEXT, CUDA_ERROR_INVALID_VALUE

  ###### Deprecated

  ###### Description

  Destroys the texture reference specified by `hTexRef`.

  See also:

  cuTexRefCreate